diff -uNrd ircd-ratbox-1.3-1/INSTALL ircd-1.4-FreedomBG/INSTALL
--- ircd-ratbox-1.3-1/INSTALL	Thu Nov 21 16:18:18 2002
+++ ircd-1.4-FreedomBG/INSTALL	Fri May 14 07:55:35 2004
@@ -1,266 +1,10 @@
-                            Hybrid INSTALL Document
-
-   $Id: INSTALL,v 7.34 2002/11/21 21:18:18 leeh Exp $
-
-   Copyright (c) 2001 by ircd-hybrid team
-   Copyright (c) 2002 ircd-ratbox development team
-
-     ----------------------------------------------------------------------
-
-   +------------------------------------------------------------------------+
-   | Note for those who dont bother reading docs                            |
-   |                                                                        |
-   | Reading INSTALL is now a must, as the old DPATH is now specified when  |
-   | configure is run.                                                      |
-   |                                                                        |
-   | - You now need to ./configure --prefix="/path/to/install/it"           |
-   |                                                                        |
-   |   Important: The old config format WILL NOT WORK. Please see point 6!  |
-   |                                                                        |
-   |   The old kline format WILL NOT WORK. Please see point 7!              |
-   +------------------------------------------------------------------------+
-
-     ----------------------------------------------------------------------
-
-                                  HOW TO BUILD
-
-   As of hybrid-4, the distribution uses GNU autoconf instead of the old
-   Config script. The Makefile has also been updated to include CFLAGS
-   defines for popular modern OSes.
-
-   1. 
-
-       Read the ChangeLog file to find out about the exciting new features in
-       this version. Other good reads are doc/whats-new.txt, BUGS,
-       doc/example.conf, and README.FIRST.
-
-       An example.conf for EFnet is in doc/ with the values "approved" on 12
-       December 2001.
-
-   2. 
-
-       Run the configure script. It will create include/setup.h and the
-       Makefiles to match your system. In ircd-ratbox, the paths are now handled
-       with the --prefix option to configure, not in config.h.
-       /usr/local/ircd is the default if no prefix is specified.
-
-       ./configure --prefix="/usr/local/ircd"
-
-         Note: There are some special optional parameters to the configure
-         script that some admins may wish to use.
-
-          * 
-
-            --enable-kqueue - Use the superior kqueue(2) system call as
-            opposed to the default poll(2). This is currently only available
-            on FreeBSD 4.1 or higher.
-
-          * 
-
-            --enable-devpoll - Enable the superior /dev/poll support on
-            Solaris. Linux /dev/poll is broken and will not work with this
-            option.
-
-          * 
-
-            --enable-rtsigio - Enable the superior Linux RealTime Signal I/O
-            system. This is currently only available on 2.4 Linux kernel
-            versions or later.
-
-          * 
-
-            --enable-openssl - Enable the openssl dependent crypto functions.
-            This will allow CHALLENGE to work and encrypted links. On systems
-            where the configure script can automatically detect OpenSSL, this
-            option is not necessary. If configure cannot find OpenSSL, you
-            must specify a path with this option
-            (--enable-openssl=/path/to/openssl)
-
-          * 
-
-            --enable-ipv6 - Enable IPv6 support.
-
-          * 
-
-            --disable-shared-modules - Disable module support. This option is
-            more secure, but reduces a lot of the flexibility in Hybrid 7.
-            This may need to be used on some systems without a working dl
-            library.
-
-          * 
-
-            --disable-assert - Disable some of the debugging code. This
-            should be used on all production servers for maximum speed and to
-            prevent cores from things that shouldn't normally happen.
-
-          * 
-
-            --enable-small-net - Tunes the server for smaller networks by
-            reducing the startup memory footprint. This should really only be
-            used for *small* networks, as this tends to be a performance hit
-            on larger networks.
-
-          * 
-
-            --with-nicklen - Sets the maximum NICK length. Note that this
-            must be consistant across your entire network.
-
-          * 
-
-            --with-maxclients - Sets the maximum number of clients support by
-            the server. Note that this also twiddles the HARD_FDLIMIT_ define
-            so it is no longer necessary to modify include/config.h for this.
-            If HARD_FDLIMIT_ ends up being larger that FD_SETSIZE when using
-            select() for your I/O loop, s_bsd_select.c will refuse to compile
-            (and tell you to use poll instead). Take this error's advice and
-            use --enable-poll or something a bit more efficient. You'll be
-            happier at the end of the day for it.
-
-   3. 
-
-       Look over the "include/config.h" file. This allows you to change the
-       few remaining hard coded options of how the ircd will operate. Most
-       admins will only have to change a few settings. USE_SYSLOG is the only
-       one that most admins will need to edit.
-
-         Note: Note that you must have permission by the sysadmin to send
-         messages to the system log files.
-
-         All other settings in config.h are not necessary to edit.
-
-   4. 
-
-       make should build ircd.
-
-   5. 
-
-       make install will install the server, modules(1), and tools in the
-       path defined in config.h and the prefix specified when configure was
-       run.
-
-       (1) Unless the server was compiled without module support.
-
-   6. 
-
-       If you wish to enable the user log, oper log, and failed oper log,
-       issue these commands at the shell prompt (in the prefix directory)
-
- $ touch logs/userlog
- $ touch logs/operlog
- $ touch logs/foperlog
-
-         Note: If you use different names in ircd.conf, you must 'touch' the
-         specific names.
-
-   7. 
-
-       If you are upgrading from Hybrid 5 or Hybrid 6, the config file has
-       changed drastically...
-
-       There is a utility to convert your old config file to the new format.
-       In prefix/bin there is something called "convertconf". Its usage is:
-       ./convertconf (old config file to convert) (converted file name)
-
-       Convertconf will NOT convert I: lines.  You must use "convertilines"
-       for this which contains a much superior method of conversion and
-       will group I: together under one auth {};.
-
-       Once this is done, move your new config to prefix/etc/ircd.conf and
-       EDIT IT! There are still things that need changing in the config,
-       including the fact that classes MUST be above auth/connect blocks!
-
-   8. 
-
-       If you are upgrading from Hybrid 5 or Hybrid 6, the kline file has
-       also changed...
-
-       There is a utility to convert the old kline configuration file to the
-       new format. In prefix/bin there is a program called "convertklines".
-       Its usage is: ./convertklines (old kline.conf filename) (new
-       kline.conf filename) (dline.conf filename).
-
-       Once this is done, move the new files into the prefix/etc/ directory
-       under their proper names. By default, the kline file is named
-       kline.conf and the dline file is named dline.conf.
-
-     ----------------------------------------------------------------------
-
-                                HOW TO GET HELP
-
-   Send Check or Money Order to... just kidding! You're on your own for
-   support. Try asking other ircd-ratbox admins on EFnet if you can't fix it
-   yourself. If you do fix anything, however, please send context or unified
-   diffs to ircd-ratbox@lists.ratbox.org so the fixes can be incorporated into
-   the next release of ircd-hybrid. If ratbox crashes on you, PLEASE contact
-   ircd-ratbox@lists.ratbox.org ASAP with a backtrace of the core.
-
-   DISCUSSION: There is a mailing list for discussion of ratbox issues,
-    To subscribe, visit:
-       http://lists.ratbox.org/cgi-bin/mailman/listinfo/ircd-ratbox
-       
-     ----------------------------------------------------------------------
-
-                                     NOTES
-
-   The best way to get a backtrace of the core is to follow this sequence of
-   instructions:
-
-   1. 
-
-       Change to the directory containing the core file
-
-   2. 
-
-       Run gdb on the binary and the core file. With an unmodified ircd-ratbox
-       installation, an example command line is below (in the /usr/local/ircd
-       directory)
-
- $ gdb bin/ircd ircd.core
-
-   3. 
-
-       At the "(gdb)" prompt, enter the command "bt"
-
-   4. 
-
-       Save the output of the backtrace command and send it to
-       ircd-ratbox@lists.ratbox.org
-
-   5. 
-
-       Be sure to save the ircd binary, the modules, and the core file in a
-       safe place in case the developers need to look deeper than a backtrace
-       provides.
+                                  How to INSTALL FreedomBG IRCd 
+1.Type (this line)				  
 
-     ----------------------------------------------------------------------
+./configure --prefix="/home/ircd/ircd2" --enable-FreedomBG --with-maxclients=200 && make && make install
 
-                                 OPENSSL NOTES
+2. Type (if you want)
 
-   Older FreeBSD machines sometimes have the obsolete ports version of
-   OpenSSL libcrypto in /usr/local/lib. When configure is used with
-   --enable-openssl, and libintl is detected in /usr/local/lib, the
-   /usr/local/lib directory will be searched BEFORE the system /usr/lib for
-   libraries by the linker. The linker may try to link to the old
-   /usr/local/lib libcrypto instead of the system /usr/lib libcrypto. Some
-   older versions may cause error messages similar to the following:
+make in contrib/ - [and than cp the *.so files in dir /module/special/ and uncoment #-lines in ircd.conf/]
 
- gcc -g -O2 -DIRCD_PREFIX=\"/home/wcampbel/ircd\" -Wl,-export-dynamic
- -L/usr/local/lib -o ircd blalloc.o channel.o vchannel.o class.o client.o
- dline_conf.o event.o fdlist.o fileio.o hash.o irc_string.o ircd.o ircdauth.o
- ircd_signal.o linebuf.o list.o listener.o m_error.o match.o memdebug.o
- modules.o motd.o mtrie_conf.o oldparse.o numeric.o packet.o parse.o res.o rsa.o
- restart.o s_auth.o s_bsd.o s_bsd_kqueue.o s_conf.o s_debug.o s_gline.o s_log.o
- s_misc.o s_serv.o s_stats.o s_user.o scache.o send.o sprintf_irc.o tools.o
- whowas.o lex.yy.o y.tab.o version.o -lintl -ldescrypt  -lcrypto -lfl
- rsa.o: In function `get_randomness':
- /home/wcampbel/dev/ircd-ratbox/src/rsa.c(.text+0x60): undefined reference to
- `RAND_pseudo_bytes'
- /usr/local/lib/libcrypto.so: undefined reference to `ERR_load_RSAREF_strings'
- /usr/local/lib/libcrypto.so: undefined reference to `RSA_PKCS1_RSAref'
- *** Error code 1
 
-   If this is the case, you may need to rerun configure without the
-   --enable-openssl option, manually edit src/Makefile and modules/Makefile
-   to put -L/usr/lib before the -L/usr/local/lib in LDFLAGS, or remove the
-   old OpenSSL from /usr/local, and recompile all applications that use
-   libcrypto to use the system one.
diff -uNrd ircd-ratbox-1.3-1/contrib/spy_whois_notice.c ircd-1.4-FreedomBG/contrib/spy_whois_notice.c
--- ircd-ratbox-1.3-1/contrib/spy_whois_notice.c	Thu Jun 26 10:01:05 2003
+++ ircd-1.4-FreedomBG/contrib/spy_whois_notice.c	Fri May 14 05:47:40 2004
@@ -54,7 +54,7 @@
       IsOper(data->client_p) && (data->client_p != data->source_p) 
       && data->client_p->umodes & UMODE_SPY) 
     {
-      sendto_one(data->client_p, ":%s NOTICE %s :*** Notice -- %s (%s@%s) is doing a whois on you [%s]",
+      sendto_one(data->client_p, ":%s NOTICE %s :*** Notice -- %s (%s@%s) is doing a /whois on you [%s]",
                  me.name, data->client_p->name, data->source_p->name, data->source_p->username,
                  data->source_p->host, data->source_p->user->server);
     }
diff -uNrd ircd-ratbox-1.3-1/contrib/spy_whois_notice_global.c ircd-1.4-FreedomBG/contrib/spy_whois_notice_global.c
--- ircd-ratbox-1.3-1/contrib/spy_whois_notice_global.c	Thu Jun 26 10:01:05 2003
+++ ircd-1.4-FreedomBG/contrib/spy_whois_notice_global.c	Fri May 14 05:48:00 2004
@@ -54,7 +54,7 @@
       IsOper(data->client_p) && (data->client_p != data->source_p) 
       && data->client_p->umodes & UMODE_SPY) 
     {
-      sendto_one(data->client_p, ":%s NOTICE %s :*** Notice -- %s (%s@%s) is doing a whois on you [%s]",
+      sendto_one(data->client_p, ":%s NOTICE %s :*** Notice -- %s (%s@%s) is doing a remote /whois on you [%s]",
                  me.name, data->client_p->name, data->source_p->name, data->source_p->username,
                  data->source_p->host, data->source_p->user->server);
     }
diff -uNrd ircd-ratbox-1.3-1/demo-conf/AllCheck ircd-1.4-FreedomBG/demo-conf/AllCheck
--- ircd-ratbox-1.3-1/demo-conf/AllCheck	Wed Dec 31 19:00:00 1969
+++ ircd-1.4-FreedomBG/demo-conf/AllCheck	Fri May 14 07:46:50 2004
@@ -0,0 +1,9 @@
+#!/bin/sh
+# This is the crontab script for AllCheck
+# Powered by WebLinuxHelp Team
+#  
+
+###############################
+rm -f /home/user/ircd/core
+/home/user/ircd/bin/ircdCheck
+###############################
diff -uNrd ircd-ratbox-1.3-1/demo-conf/cluster.conf ircd-1.4-FreedomBG/demo-conf/cluster.conf
--- ircd-ratbox-1.3-1/demo-conf/cluster.conf	Wed Dec 31 19:00:00 1969
+++ ircd-1.4-FreedomBG/demo-conf/cluster.conf	Fri May 14 07:52:14 2004
@@ -0,0 +1,10 @@
+
+cluster {
+        name = "irc.evo.bg";
+        type = kline, unkline, xline;
+};
+
+cluster {
+        name = "irc.weblinuxhelp.com";
+        type = kline, unkline, xline;
+};
diff -uNrd ircd-ratbox-1.3-1/demo-conf/hubs.conf ircd-1.4-FreedomBG/demo-conf/hubs.conf
--- ircd-ratbox-1.3-1/demo-conf/hubs.conf	Wed Dec 31 19:00:00 1969
+++ ircd-1.4-FreedomBG/demo-conf/hubs.conf	Fri May 14 07:46:50 2004
@@ -0,0 +1,12 @@
+connect {
+        name = "irc.weblinuxhelp.com";
+        host = "62.178.40.225";
+        send_password = "FreedomBG";
+        encrypted = no;
+        accept_password = "FreedomBG";
+        hub_mask = "*"; 
+        #leaf_mask = "*"; 
+        class = "server";
+        port = 6667;
+        autoconn = yes;
+};
\ No newline at end of file
diff -uNrd ircd-ratbox-1.3-1/demo-conf/ircd.conf ircd-1.4-FreedomBG/demo-conf/ircd.conf
--- ircd-ratbox-1.3-1/demo-conf/ircd.conf	Wed Dec 31 19:00:00 1969
+++ ircd-1.4-FreedomBG/demo-conf/ircd.conf	Sat May 15 06:53:01 2004
@@ -0,0 +1,169 @@
+#####################################################
+#         20.05.2004 FreedomBG® IRC Server          #
+#####################################################
+
+serverinfo {
+        name = "irc.server.com";
+        description = "FreedomBG® IRC Server";
+        network_name = "FreedomBG Network";
+        network_desc = "FreedomBG Network";
+        hub = no;
+        #vhost = "62.172.22.222";
+};
+admin {
+        name = "nick";
+        description = "Server Team®";
+        email = "admin@server.com";
+};
+logging {
+        log_level = L_INFO;
+        fname_userlog = "logs/userlog";
+        fname_operlog = "logs/operlog";
+        fname_foperlog = "logs/foperlog";
+};
+class "users" {
+        ping_time = 2 minutes;
+        number_per_ident = 5;
+        number_per_ip = 8;
+        number_per_ip_global = 10;
+        max_number = 400;
+        sendq = 100 kbytes;
+};
+class "restricted" {
+        ping_time = 1 minute 30 seconds;
+        number_per_ip = 3;
+        max_number = 100;
+        sendq = 60kb;
+};
+class "opers" {
+        ping_time = 5 minutes;
+        number_per_ip = 10;
+        max_number = 100;
+        sendq = 100kbytes;
+};
+class "server" {
+        ping_time = 5 minutes;
+        connectfreq = 5 minutes;
+        max_number = 1;
+        sendq=10 megabytes;
+};
+listen {
+#       host = "62.178.40.225";
+        port = 6667; 
+};
+
+################### INCLUDE CONF ##########################
+
+.include "/home/user/ircd/etc/spoofs.conf"
+.include "/home/user/ircd/etc/opers.conf"
+.include "/home/user/ircd/etc/cluster.conf"
+.include "/home/user/ircd/etc/shared.conf"
+.include "/home/user/ircd/etc/hubs.conf"
+.include "/home/user/ircd/etc/qlines.conf"
+.include "/home/user/ircd/etc/spam.conf"
+
+###########################################################
+
+auth {
+        user = "*@*";
+        class = "users";
+        no_tilde = yes;
+};
+
+######################
+# DON'T TOUCH HERE ! #
+######################
+
+channel {
+        use_invex = yes;
+        use_except = yes;
+        use_knock = yes;
+        knock_delay = 5 minutes;
+        knock_delay_channel = 1 minute;
+        max_chans_per_user = 15;
+        quiet_on_ban = no;
+        max_bans = 25;
+        persist_time = 0;
+        default_split_user_count = 0;
+        default_split_server_count = 0;
+        no_create_on_split = no;
+        no_join_on_split = no;
+        no_oper_resvs = no;
+};
+serverhide {
+        flatten_links = no;
+        links_delay = 5 minutes;
+        hidden = no;
+        disable_hidden = no;
+        hide_servers = no;
+        disable_remote_commands = no;
+        disable_local_channels = no;
+};
+general {
+        tkline_expire_notices = yes;
+        default_floodcount = 8;
+        failed_oper_notice = yes;
+        dots_in_ident=2;
+        dot_in_ip6_addr = no;
+        min_nonwildcard = 4;
+        max_accept = 20;
+        anti_nick_flood = yes;
+        max_nick_time = 60 seconds;
+        max_nick_changes = 2;
+        anti_spam_exit_message_time = 15 minutes;
+        ts_warn_delta = 99999  seconds; 
+        ts_max_delta = 99999  seconds; 
+        client_exit = yes;
+        kline_with_reason = yes;
+        kline_with_connection_closed = no;
+        kline_delay = 0 seconds;
+        non_redundant_klines = yes;
+        warn_no_nline = yes;
+        stats_o_oper_only=yes;
+        stats_P_oper_only=no;
+        stats_i_oper_only=yes;
+        stats_k_oper_only=masked;
+        caller_id_wait = 1 minute;
+        pace_wait_simple = 1 second;
+        pace_wait = 30 seconds;
+        short_motd = no;
+        ping_cookie = no;
+        connect_timeout = 30 seconds;
+        disable_auth = no;
+        no_oper_flood = yes;
+        glines = yes;
+        gline_time = 1 day;
+        idletime = 0;
+        max_targets = 4;
+        client_flood = 20;
+        use_help = yes;
+        use_whois_actually = yes;
+        message_locale = "custom";
+        oper_only_umodes = bots, cconn, debug, full, skill, nchange,
+                     rej, spy, external, operwall, locops, unauth;
+        oper_umodes = locops, servnotice, operwall, wallop, spy, cconn, skill, rej, unauth, bots, external, debug;
+};
+
+modules {
+        path = "/home/ircd/ircd/modules";
+        path = "/home/ircd/ircd/modules/autoload";
+        #path = "/home/ircd/ircd/modules/special";
+        #module = "m_svsnick.so";
+        #module = "m_svsjoin.so";
+        #module = "m_mode.so";
+        #module = "spy_whois_notice.so";
+        #module = "spy_whois_notice_global.so";
+        #module = "spy_trace_notice.so";
+        #module = "spy_motd_notice.so";
+        #module = "spy_links_notice.so";
+        #module = "spy_info_notice.so";
+        #module = "spy_admin_notice.so";
+        #module = "spy_stats_notice.so";
+        #module = "m_omode.so";
+        #module = "m_opme.so";
+        #module = "m_ojoin.so";
+        #module = "m_force.so";
+        #module = "m_okick.so";
+        #module = "m_mkpasswd.so";
+};
+
diff -uNrd ircd-ratbox-1.3-1/demo-conf/ircd.motd ircd-1.4-FreedomBG/demo-conf/ircd.motd
--- ircd-ratbox-1.3-1/demo-conf/ircd.motd	Wed Dec 31 19:00:00 1969
+++ ircd-1.4-FreedomBG/demo-conf/ircd.motd	Fri May 14 07:46:50 2004
@@ -0,0 +1,8 @@
+                         ..:: Server Team® ::.. 
+==========================================================================                                                      
+      Server Policy:  No FLOOD , SPAM , ABUSE & ADVERTISE !
+==========================================================================
+      You can connect on port 6667 !    Server Administrator: nick
+==========================================================================
+                 For more INFO:   admin@server.com
+==========================================================================
diff -uNrd ircd-ratbox-1.3-1/demo-conf/opers.conf ircd-1.4-FreedomBG/demo-conf/opers.conf
--- ircd-ratbox-1.3-1/demo-conf/opers.conf	Wed Dec 31 19:00:00 1969
+++ ircd-1.4-FreedomBG/demo-conf/opers.conf	Fri May 14 07:46:50 2004
@@ -0,0 +1,201 @@
+###########################################################
+################ WebLinuxHelp®'s Opers ####################
+###########################################################
+
+         operator "nick" {
+         user = "*@backup.host.cx";
+         encrypted = yes;
+         password = "3TVoMkLfxJuWQ";
+         class = "opers";
+         flags = global_kill,
+                 remote,
+                 kline,
+                 unkline,
+                 gline,
+                 nick_changes,
+                 xline,
+                 operwall;
+ };
+  
+operator "----------- * BackUp Operators * -------------" {
+        user =  "*@*";
+        encrypted = yes;
+        password = "no-PASSWORD-detected";
+        class = "opers";
+        flags = global_kill;
+};
+
+operator "bot-nick" {
+        user =  "*ident@spoof.server.com";
+        encrypted = yes;
+        password = "$1$8U20ENMp$/WUHpuqW7he69T0IWyjXI/";
+        class = "opers";
+        flags = remote,
+                unkline,
+                kline,
+                nick_changes,
+                xline;
+};
+operator "----------- * TCM & Bots * -------------" {
+        user =  "*@*";
+        encrypted = yes;
+        password = "no-PASSWORD-detected";
+        class = "opers";
+        flags = global_kill;
+};
+
+operator "local-3" {
+        user =  "*@local-3.local.irc.server.com";
+        encrypted = yes;
+        password = "zYBk9wE92VZhQ";
+        class = "opers";
+        flags = remote,
+                unkline,
+                kline,
+                nick_changes,
+                xline,
+                operwall;
+};
+
+operator "local-2" {
+        user =  "*@local-2.local.irc.server.com";
+        encrypted = yes;
+        password = "WfxxuriOJnm0U";
+        class = "opers";
+        flags = remote,
+                unkline,
+                kline,
+                nick_changes,
+                xline,
+                operwall;
+};
+
+operator "local-1" {
+        user =  "*@local-1.local.irc.server.com";
+        encrypted = yes;
+        password = "$1$h8P52loq$AY0zZfT0ID3jyzAXaELjj0";
+        class = "opers";
+        flags = remote,
+                unkline,
+                kline,
+                nick_changes,
+                xline,
+                operwall;
+};
+
+operator "----------- * Local Operators * -------------" {
+        user =  "*@*";
+        encrypted = yes;
+        password = "no-PASSWORD-detected";
+        class = "opers";
+        flags = global_kill;
+};
+
+operator "global-2" {
+        user =  "*@global-2.server.com";
+        encrypted = yes;
+        password = "$1$RMzaWBc8$KIIsMSe27PbXdxctBEdYZ1";
+        class = "opers";
+        flags = global_kill,
+                remote,
+                kline,
+                unkline,
+                gline,
+                nick_changes,
+                xline,
+                operwall;
+};
+
+operator "ssh" {
+        user =  "*@global-1.server.com";
+        encrypted = yes;
+        password = "lYdNGaWfXOuD.";
+        class = "opers";
+        flags = global_kill,
+                remote,
+                kline,            
+                unkline,
+                gline,
+                nick_changes,
+                xline,
+                operwall;
+};
+operator "----------- * Global Operators * -------------" {
+        user =  "*@*";
+        encrypted = yes;
+        password = "no-PASSWORD-detected";
+        class = "opers";
+        flags = global_kill;
+};
+operator "admin" {
+        user = "*@admin.server.com";
+        encrypted = yes;
+        password = "$1$Ah/kzKLc$SKrQ5glaL044qRNiVFQDw1";
+        class = "opers";
+        flags = global_kill,
+                remote,
+                kline,        
+                unkline,
+                gline,
+                nick_changes,
+                die,
+                rehash,
+                admin,
+                xline,
+                operwall;
+};
+operator "----------- * Owner * -------------" {
+        user =  "*@*";
+        encrypted = yes;
+        password = "no-PASSWORD-detected";
+        class = "opers";
+        flags = global_kill;
+};
+operator "owner" {
+        user = "*@owner.server.com";
+        encrypted = yes;
+        password = "$1$Ah/kzKLc$SKrQ5glaL044qRNiVFQDw1";
+        class = "opers";
+        flags = global_kill,
+                remote,
+                kline,        
+                unkline,
+                gline,
+                nick_changes,
+                die,
+                rehash,
+                admin,
+                xline,
+                operwall;
+};
+operator "----------- * Main Administrator * -------------" {
+        user =  "*@*";
+        encrypted = yes;
+        password = "no-PASSWORD-detected";
+        class = "opers";
+        flags = global_kill;
+};
+operator "==================================================" {
+        user =  "*@*";
+        encrypted = yes;
+        password = "no-PASSWORD-detected";
+        class = "opers";
+        flags = global_kill;
+};
+
+operator "----------- * irc.server.com * -------------" {
+        user =  "*@*";
+        encrypted = yes;
+        password = "no-PASSWORD-detected";
+        class = "opers";
+        flags = global_kill;
+};
+operator "==================================================" {
+        user =  "*@*";
+        encrypted = yes;
+        password = "no-PASSWORD-detected";
+        class = "opers";
+        flags = global_kill;
+};
+
+
diff -uNrd ircd-ratbox-1.3-1/demo-conf/qlines.conf ircd-1.4-FreedomBG/demo-conf/qlines.conf
--- ircd-ratbox-1.3-1/demo-conf/qlines.conf	Wed Dec 31 19:00:00 1969
+++ ircd-1.4-FreedomBG/demo-conf/qlines.conf	Fri May 14 07:46:50 2004
@@ -0,0 +1,24 @@
+resv {
+        reason = "Services nick";
+        nick = "nickserv";
+        nick = "chanserv";
+        nick = "operserv";
+        nick = "seenserv";
+        nick = "memoserv";
+        nick = "statserv";
+        nick = "splitserv";
+        nick = "AS";
+        nick = "CS";
+        nick = "OS";
+        nick = "NS";
+        nick = "MS";
+        nick = "SS";
+        nick = "Seen";
+        nick = "Global";
+        nick = "Gliner";
+        nick = "X";
+        nick = "Y";
+        nick = "SockClean";
+        nick = "GlineServ";
+};
+
diff -uNrd ircd-ratbox-1.3-1/demo-conf/shared.conf ircd-1.4-FreedomBG/demo-conf/shared.conf
--- ircd-ratbox-1.3-1/demo-conf/shared.conf	Wed Dec 31 19:00:00 1969
+++ ircd-1.4-FreedomBG/demo-conf/shared.conf	Fri May 14 05:37:39 2004
@@ -0,0 +1,25 @@
+shared {
+        name = "FreedomBG.Gliner";
+        type = all;
+};
+shared {
+        name = "FreedomBG.SocksCleaner";
+        type = all;
+};
+shared {
+        name = "FreedomBG.Services";
+        type = all;
+};
+
+shared {
+        name = "FreedomBG.Stats";
+        type = all;
+};
+
+shared {
+        name = "FreedomBG.NetLink";
+        type = all;
+};
+
+
+
diff -uNrd ircd-ratbox-1.3-1/demo-conf/spam.conf ircd-1.4-FreedomBG/demo-conf/spam.conf
--- ircd-ratbox-1.3-1/demo-conf/spam.conf	Wed Dec 31 19:00:00 1969
+++ ircd-1.4-FreedomBG/demo-conf/spam.conf	Fri May 14 07:46:50 2004
@@ -0,0 +1,34 @@
+gecos {
+        name = "*sex*";
+        reason = "Possible spambot";
+        action = warn;
+};
+
+gecos {
+        name = "*BitchX*";
+        reason = "Possible Lamer";
+        action = warn;
+};
+
+gecos {
+        name = "*http:*";
+        reason = "Possible spambot";
+        action = reject;
+};
+
+gecos {
+        name = "*www.*";
+        reason = "Possible spambot";
+        action = reject;
+};
+
+
+spamcheck {
+          adv_text = "*http*";
+          adv_text = "*ftp*";
+          adv_text = "*join #*";
+          adv_text = "*elate v #*";
+          adv_text = "*come to #*";
+          adv_text = "*www.*";
+};
+
diff -uNrd ircd-ratbox-1.3-1/demo-conf/spoofs.conf ircd-1.4-FreedomBG/demo-conf/spoofs.conf
--- ircd-ratbox-1.3-1/demo-conf/spoofs.conf	Wed Dec 31 19:00:00 1969
+++ ircd-1.4-FreedomBG/demo-conf/spoofs.conf	Fri May 14 07:46:50 2004
@@ -0,0 +1,15 @@
+########################################################
+################ FreedomBG®'s Spoofs ###################
+########################################################
+
+################### OPERS Spoofs ##########################
+auth {
+        user = "*ident@62.172.22.222";
+        password = "parola";
+        spoof = "admin.server.com";
+        flags = kline_exempt, exceed_limit, gline_exempt;
+        no_tilde = yes;
+	class = "opers";
+};
+
+###########################################################
diff -uNrd ircd-ratbox-1.3-1/doc/example.FreedomBG.conf ircd-1.4-FreedomBG/doc/example.FreedomBG.conf
--- ircd-ratbox-1.3-1/doc/example.FreedomBG.conf	Wed Dec 31 19:00:00 1969
+++ ircd-1.4-FreedomBG/doc/example.FreedomBG.conf	Mon May 17 03:37:36 2004
@@ -0,0 +1,3 @@
+Pls copy all files from demo-conf/ to etc/ ! Thanks ! :+)
+
+PS: Edit them ! :+) /FreedomBG Team/
diff -uNrd ircd-ratbox-1.3-1/doc/ircd.motd ircd-1.4-FreedomBG/doc/ircd.motd
--- ircd-ratbox-1.3-1/doc/ircd.motd	Thu Jun 26 10:01:14 2003
+++ ircd-1.4-FreedomBG/doc/ircd.motd	Thu May 13 20:37:43 2004
@@ -1,2 +1,8 @@
-This is the default ircd-ratbox MOTD.  You could replace it, but then noone
-would find out how much you love goats..
+   Welcome to FreedomBG network and thank you for using this server!
+-------------------------------------------------------------------
+Flood, SPAM, any kind of abuse & illegal activities concerning the
+correct functionality of the server/network or any legal rights,
+property or trademarks are forbidden. This may cause you to be 
+banned from the server or the entire network!
+-------------------------------------------------------------------
+     We hope that you'll enjoy your stay - FreedomBG Network Team
\ No newline at end of file
diff -uNrd ircd-ratbox-1.3-1/help/opers/cmode ircd-1.4-FreedomBG/help/opers/cmode
--- ircd-ratbox-1.3-1/help/opers/cmode	Tue Jul  8 10:12:41 2003
+++ ircd-1.4-FreedomBG/help/opers/cmode	Thu May 13 20:29:45 2004
@@ -12,6 +12,15 @@
      +i     - Invite only.  Users need to be /invite'd or match a +I to
               join the channel.
 
+ * The following modes are available only when compiled with --enable-FreedomBG *
+     +q	    - Join filter. Allows only NS identified users to join channel.
+     +z	    - No Repeat. Forbids repeating in the channel.
+     +H     - No SPAM. Forbits messages containing SPAM phrases.
+     +M     - Users with unregistered nicknames can not talk in the channel.
+     +C     - CTCP filter. CTCP messages are allowed only from +v/+o users.
+     +O     - Opers only. Only IRC operators can join the channel.
+     +A     - Admins only. Only IRC server admins can join the channel.
+     
 WITH PARAMETERS:
      +k     - Key.  Requires users to issue /join #channel KEY to join.
               PARAMS: /mode #channel +k key
